Status

Socorro
Infra
RESOLVED FIXED
3 years ago
3 years ago

People

(Reporter: peterbe, Assigned: peterbe)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(4 attachments)

(Assignee)

Description

3 years ago
E.g. 

:~$ curl --compressed -v https://crash-stats.mozilla.com/static/CACHE/css/a83940f68d6f.css  > /dev/null
* Hostname was NOT found in DNS cache
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0*   Trying 54.191.207.216...
* Connected to crash-stats.mozilla.com (54.191.207.216) port 443 (#0)
* TLS 1.2 connection using TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256
* Server certificate: crash-stats.mozilla.com
* Server certificate: DigiCert SHA2 Extended Validation Server CA
* Server certificate: DigiCert High Assurance EV Root CA
> GET /static/CACHE/css/a83940f68d6f.css HTTP/1.1
> User-Agent: curl/7.37.1
> Host: crash-stats.mozilla.com
> Accept: */*
> Accept-Encoding: deflate, gzip
>
< HTTP/1.1 200 OK
< Accept-Ranges: bytes
< Content-Type: text/css
< Date: Thu, 20 Aug 2015 15:24:05 GMT
< ETag: "55d4ab89-6b3c"
< Last-Modified: Wed, 19 Aug 2015 16:15:05 GMT
* Server nginx/1.6.3 is not blacklisted
< Server: nginx/1.6.3
< Content-Length: 27452
< Connection: keep-alive
<


Contrast with one where it's set up:

:~$ curl --compressed -v http://d1ac1bzf3lrf3c.cloudfront.net/static/CACHE/js/70857ab852bd.js  > /dev/null
* Hostname was NOT found in DNS cache
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0*   Trying 54.192.207.9...
* Connected to d1ac1bzf3lrf3c.cloudfront.net (54.192.207.9) port 80 (#0)
> GET /static/CACHE/js/70857ab852bd.js HTTP/1.1
> User-Agent: curl/7.37.1
> Host: d1ac1bzf3lrf3c.cloudfront.net
> Accept: */*
> Accept-Encoding: deflate, gzip
>
< HTTP/1.1 200 OK
< Content-Type: application/x-javascript
< Transfer-Encoding: chunked
< Connection: keep-alive
* Server nginx/1.4.6 (Ubuntu) is not blacklisted
< Server: nginx/1.4.6 (Ubuntu)
< Date: Mon, 10 Aug 2015 21:33:11 GMT
< Last-Modified: Wed, 05 Aug 2015 16:44:34 GMT
< Expires: Thu, 31 Dec 2037 23:55:55 GMT
< Cache-Control: max-age=315360000
< Cache-Control: public
< Content-Encoding: gzip
< Age: 841889
< Vary: Accept-Encoding,Accept-Encoding
< X-Cache: Hit from cloudfront
< Via: 1.1 e9251d77b367b673c32e205943143563.cloudfront.net (CloudFront)
< X-Amz-Cf-Id: jXuguDlUVQ-lMwJSpnltrogsfa3ohHWVNlA9Sv7fWF0orN4d9LksqA==
<
(Assignee)

Updated

3 years ago
Assignee: nobody → peterbe

Updated

3 years ago
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
(Assignee)

Comment 3

3 years ago
Created attachment 8650605 [details]
Screenshot 2015-08-20 11.28.17.png
(Assignee)

Comment 4

3 years ago
Created attachment 8650607 [details]
Before (prod, without gzip)
(Assignee)

Comment 5

3 years ago
Created attachment 8650608 [details]
After (stage, with gzip)
(Assignee)

Comment 6

3 years ago
Note. Same 38 requests but instead of 579.3kB it's now 318.3kB to load the home page :)
You need to log in before you can comment on or make changes to this bug.